component: sbg_gateway
proto_imports:
  - vehicle/sbg_gateway/diagnostics/sbg_diagnostics.proto
metric: SbgMetric
namespace: zoox::sbg_gateway
faults:
  - id: 1
    name: RmsHeadingHigh
    severity: WARNING
    description: Heading RMS is too high
    freeze_frame: RmsHeadingFreezeFrame
  - id: 2
    name: EulerLogInvalid
    severity: WARNING
    description: Euler log is invalid
    freeze_frame: EulerLogInvalidFreezeFrame
  - id: 3
    name: RmsPositionHigh
    severity: WARNING
    description: Position RMS is too high
    freeze_frame: RmsPositionFreezeFrame
  - id: 4
    name: NavigationLogInvalid
    severity: WARNING
    description: Navigation log is invalid
    freeze_frame: NavigationLogInvalidFreezeFrame
  - id: 5
    name: ImuLogInvalid
    severity: WARNING
    description:  IMU log is invalid
    freeze_frame: ImuLogInvalidFreezeFrame
  - id: 6
    name: InitError
    severity: WARNING
    description: Initialization error
    freeze_frame: InitErrorFreezeFrame
  - id: 7
    name: MissingEulerLog
    severity: WARNING
    description: Euler log is missing
    freeze_frame: MissingLogMessageFreezeFrame
  - id: 8
    name: MissingNavLog
    severity: WARNING
    description: Navigation log is mission
    freeze_frame: MissingLogMessageFreezeFrame
  - id: 9
    name: MissingImuLog
    severity: WARNING
    description: IMU log is missing
    freeze_frame: MissingLogMessageFreezeFrame
  - id: 10
    name: MissingGps1Log
    severity: WARNING
    description: GPS1 log is missing
    freeze_frame: MissingLogMessageFreezeFrame
  - id: 11
    name: NotInitialized
    severity: WARNING
    description: SBG system is not initialized
    freeze_frame: NotInitializedFreezeFrame
